Document structure/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "FreeCAD 文档内的对象可以是不同类型的。每个工作台都能够创建属于它的对象类型,例如网格工作台可创建网格对...")
(Created page with "无论 FreeCAD 中开启了一份还是多份文档,总是会仅有一个活动文档,它就是当前显示于三维视图中并且你正在其中工作的文档。")
Line 6: Line 6:
FreeCAD 文档内的对象可以是不同类型的。每个工作台都能够创建属于它的对象类型,例如[[Mesh Workbench/zh-cn|网格工作台]]可创建网格对象,而[[Part Workbench/zh-cn|零件工作台]]可创建零件对象,还有[[Draft Workbench/zh-cn|草图工作台]]也可创建零件对象,等等。
FreeCAD 文档内的对象可以是不同类型的。每个工作台都能够创建属于它的对象类型,例如[[Mesh Workbench/zh-cn|网格工作台]]可创建网格对象,而[[Part Workbench/zh-cn|零件工作台]]可创建零件对象,还有[[Draft Workbench/zh-cn|草图工作台]]也可创建零件对象,等等。


无论 FreeCAD 中开启了一份还是多份文档,总是会仅有一个活动文档,它就是当前显示于三维视图中并且你正在其中工作的文档。
If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.


==Application and User Interface==
==Application and User Interface==

Revision as of 06:51, 30 September 2017

一份 FreeCAD 文档包含了场景中的所有对象。它可以包含组以及所有工作台所创建的对象。因而你可以在工作台之间自由切换,但是仍在同一份 FreeCAD 文档上工作。如果你打算保存你的工作成果,那么 FreeCAD 文档便会被保存到磁盘中。可以在 FreeCAD 中同时打开多份文档,也可以为同一份文档开启多个视图。

在文档中,对象可被移入、分组以及唯一化的命名。组、对象、对象命名的管理主要是通过树形视图而实现的。当然,你也可以通过 Python 解释器来完成这些操作。在树状视图中,你可以通过鼠标右键点击树状视图或者对象,进行组的创建、将对象移进组内、删除对象或组等操作;可以使用鼠标左键双击对象的名字进行重命名,也可以进行一些其他的操作,具体依赖于当前的工作台。

FreeCAD 文档内的对象可以是不同类型的。每个工作台都能够创建属于它的对象类型,例如网格工作台可创建网格对象,而零件工作台可创建零件对象,还有草图工作台也可创建零件对象,等等。

无论 FreeCAD 中开启了一份还是多份文档,总是会仅有一个活动文档,它就是当前显示于三维视图中并且你正在其中工作的文档。

Application and User Interface

Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.

Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.

Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.

Scripting

Documents can be easily created, accessed and modified from the python interpreter. For example:

FreeCAD.ActiveDocument

Will return the current (active) document

FreeCAD.ActiveDocument.Blob

Would access an object called "Blob" inside your document

FreeCADGui.ActiveDocument

Will return the view document associated to the current document

FreeCADGui.ActiveDocument.Blob

Would access the graphical representation (view) part of our Blob object

FreeCADGui.ActiveDocument.ActiveView

Will return the current view

Mouse Model
Preferences Editor